# -*- coding: utf-8 -*-
# Generated by Django 1.10 on 2016-08-10 13:29
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('yandex_cash_register', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='payment',
            options={'ordering': ('-created',), 'verbose_name': 'payment', 'verbose_name_plural': 'payments'},
        ),
        migrations.AlterField(
            model_name='payment',
            name='completed',
            field=models.DateTimeField(null=True, verbose_name='Completed at'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='cps_email',
            field=models.EmailField(blank=True, editable=False, max_length=254, verbose_name='Payer e-mail'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='cps_phone',
            field=models.CharField(blank=True, editable=False, max_length=15, verbose_name='Payer phone'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='created',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Created at'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='customer_id',
            field=models.UUIDField(default=uuid.uuid4, editable=False, unique=True, verbose_name='Customer ID'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='invoice_id',
            field=models.CharField(blank=True, editable=False, max_length=64, verbose_name='Invoice ID'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='order_currency',
            field=models.PositiveIntegerField(choices=[(643, 'Rouble'), (10643, 'Test currency')], default=643, editable=False, verbose_name='Order currency'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='order_id',
            field=models.CharField(db_index=True, editable=False, max_length=50, unique=True, verbose_name='Order ID'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='order_sum',
            field=models.DecimalField(decimal_places=2, editable=False, max_digits=15, verbose_name='Order sum'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='payer_code',
            field=models.CharField(blank=True, editable=False, max_length=33, verbose_name='Payer code'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='payment_type',
            field=models.CharField(choices=[('AB', 'Альфа-Клик'), ('AC', 'Банковская карта'), ('GP', 'Наличные через терминал'), ('MA', 'MasterPass'), ('MC', 'Счет мобильного телефона'), ('PB', 'Интернет-банк Промсвязьбанка'), ('PC', 'Кошелек Яндекс.Денег'), ('SB', 'Сбербанк Онлайн'), ('WM', 'Кошелек WebMoney'), ('QS', 'QiWi кошелёк')], default='PC', editable=False, max_length=2, verbose_name='Payment method'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='performed',
            field=models.DateTimeField(null=True, verbose_name='Started at'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='shop_currency',
            field=models.PositiveIntegerField(choices=[(643, 'Rouble'), (10643, 'Test currency')], default=643, null=True, verbose_name='Payment currency'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='shop_sum',
            field=models.DecimalField(decimal_places=2, editable=False, help_text='Order sum - Yandex.Kassa fee', max_digits=15, null=True, verbose_name='Received sum'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='state',
            field=models.CharField(choices=[('created', 'Created'), ('processed', 'Processed'), ('success', 'Succeed'), ('fail', 'Failed')], default='created', editable=False, max_length=16, verbose_name='State'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='User'),
        ),
    ]
